﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.2/TaskFactory_2017.2.8.525.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '1F528B72455010EBADC1C52A19A094AC9518FDA691A0C0ED8850F181ACF1E55B'
  checksumType = 'sha256'
  checksum64 = 'MUY1MjhCNzI0NTUwMTBFQkFEQzFDNTJBMTlBMDk0QUM5NTE4RkRBNjkxQTBDMEVEODg1MEYxODFBQ0YxRTU1Qg=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
